Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Dim ds As DataSet

        If Cache("Artists") = Nothing Then
            ds = New DataSet
            ds.ReadXml(Server.MapPath("artists.xml"))
            Cache.Insert("Artist", ds)
        Else
            ds = CType(Cache("Artists"), DataSet)
        End If

        Me.Repeater1.DataSource = ds
        Me.Repeater1.DataBind()
        Me.Panel1.Visible = False

        If Request.QueryString("id") <> Nothing Then
            Dim dv As DataView = ds.Tables(0).DefaultView
            dv.RowFilter = "id = " + Request.QueryString("id")

            'Update artists photo
            Dim imgElem As Neodynamic.WebControls.ImageDraw.ImageElement = CType(Me.ImageDraw3.Elements(0), Neodynamic.WebControls.ImageDraw.ImageElement)
            imgElem.Source = Neodynamic.WebControls.ImageDraw.ImageSource.Base64String
            imgElem.SourceBase64 = CStr(dv(0)("PhotoBase64"))

            Me.ImageDraw3.OutputImageName = "Artist" + CStr(dv(0)("Id"))
   

            'Update artist name
            Dim txtElem As Neodynamic.WebControls.ImageDraw.TextElement = CType(Me.ImageDraw4.Elements(0), Neodynamic.WebControls.ImageDraw.TextElement)
            txtElem.Text = CStr(dv(0)("Name"))

            Me.ImageDraw4.OutputImageName = "ArtistName" + CStr(dv(0)("Id"))

            Me.Label1.Text = CStr(dv(0)("About"))

            Me.Panel1.Visible = True

        End If

    End Sub
End Class
